> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cert-manager-sdk-nodejs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cert-manager-sdk-nodejs/api/informationapi.md).

# InformationApi

All URIs are relative to *<https://api.ionos.com>*

| Method                                        | HTTP request                             | Description                         |
| --------------------------------------------- | ---------------------------------------- | ----------------------------------- |
| [**getInfo**](#getinfo)                       | **GET** /certificatemanager              | Get the Service API Information     |
| [**getJsonOpenApiSpec**](#getjsonopenapispec) | **GET** /certificatemanager/openapi.json | Get the Open API Documentation JSON |
| [**getYamlOpenApiSpec**](#getyamlopenapispec) | **GET** /certificatemanager/openapi.yaml | Get the Open API Documentation YAML |

## getInfo

> getInfo

Get the Service API Information

Retrieves the service API information.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs-cert-manager');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.InformationApi(config);
// Get the Service API Information
api_instance
  .getInfo()
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

This endpoint does not need any parameter.

### Return type

[**ApiInfoDto**](/cert-manager-sdk-nodejs/models/apiinfodto.md)

### Authorization

basicAuth, tokenAuth

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## getJsonOpenApiSpec

> any getJsonOpenApiSpec

Get the Open API Documentation JSON

Displays the Open API documentation in the JSON format.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs-cert-manager');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.InformationApi(config);
// Get the Open API Documentation JSON
api_instance
  .getJsonOpenApiSpec()
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

This endpoint does not need any parameter.

### Return type

**any**

### Authorization

basicAuth, tokenAuth

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## getYamlOpenApiSpec

> any getYamlOpenApiSpec

Get the Open API Documentation YAML

Displays the Open API documentation in the YAML format.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs-cert-manager');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.InformationApi(config);
// Get the Open API Documentation YAML
api_instance
  .getYamlOpenApiSpec()
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

This endpoint does not need any parameter.

### Return type

**any**

### Authorization

basicAuth, tokenAuth

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/yaml


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/cert-manager-sdk-nodejs/api/informationapi.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
